<template>
  <section class="AppPartyScoreFlow">
    <component :is="currentPage" v-bind="$props"/>
  </section>
</template>

<script>
import PsfList from "./psfList";

export default {
  name: "AppPartyScoreFlow",
  components: {PsfList},
  label: "党员积分明细",
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  computed: {
    currentPage() {
      return PsfList
    }
  },
  created() {
    this.dict.load("partyIntegralType")
  }
}
</script>

<style lang="scss" scoped>
.AppPartyScoreFlow {
  height: 100%;
}
</style>
